package com.yutou.jianr_mg.Data;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class JianNiang {
    private int cid;
    private int star;
    private String title;
    private int country;
    private int type;
    private int hp;
    private int atk;
    private int def;
    private String torpedo;
    private int miss;
    private int hit;
    private int capacity;
    private String antisub;
    private int speed;
    private int radar;
    private int range;
    private int luck;
    private DismantleBean dismantle;
    private String author;
    private int release;
    private String desc;
    private String vow;
    private int npc;
    private String shipIndex;
    private int shipTon;
    private int guardType;
    private String subTitle;
    private String titleClass;
    private String subTitleClass;
    private String classNo;
    private String subClassNo;
    private String picId;
    private int hpMax;
    private int atkMax;
    private int defMax;
    private String torpedoMax;
    private int missMax;
    private int hitMax;
    private int airDef;
    private int airDefMax;
    private String missileSlot;
    private String missileInit;
    private String antisubMax;
    private int radarMax;
    private int luckMax;
    private int evoLevel;
    private int evoCid;
    private int evoNeedItemCid;
    private int evoToCid;
    private EvoNeedResourceBean evoNeedResource;
    private int haveSkin;
    private String borderId;
    private String skillType;
    private String initSkillLevel;
    private int maxSkillLevel;
    private int canEvo;
    private int equipmentNum;
    private int maxLevel;
    private int maxOil;
    private int maxAmmo;
    private double repairOilModulus;
    private double repairSteelModulus;
    private double repairTime;
    private StrengthenTopBean strengthenTop;
    private StrengthenSupplyExpBean strengthenSupplyExp;
    private int strengthenLevelUpExp;
    private String evoClass;
    private String medalDesc;
    private String customField;
    private String getDialogue;
    private String atkDialogue;
    private String sinkDialogue;
    private String breakDialogue;
    private String formationDialogue;
    private String marryMainDialogue;
    private String nightAtkDialogue;
    private String myRoomDialogue;
    private String friendRoomDialogue;
    private String planeImgType;
    private String planeImgType2;
    private String gunType;
    private String teamShip;
    private List<?> skills;
    private List<Integer> equipment;
    private List<String> mainDialogue;
    private List<?> capacitySlot;
    private List<Integer> capacityInit;
    private List<Integer> equipmentType;
    private List<Integer> showAttribute;
    private List<Integer> kitchenPosition;

    public int getCid() {
        return cid;
    }

    public void setCid(int cid) {
        this.cid = cid;
    }

    public int getStar() {
        return star;
    }

    public void setStar(int star) {
        this.star = star;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getCountry() {
        return country;
    }

    public void setCountry(int country) {
        this.country = country;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getHp() {
        return hp;
    }

    public void setHp(int hp) {
        this.hp = hp;
    }

    public int getAtk() {
        return atk;
    }

    public void setAtk(int atk) {
        this.atk = atk;
    }

    public int getDef() {
        return def;
    }

    public void setDef(int def) {
        this.def = def;
    }

    public String getTorpedo() {
        return torpedo;
    }

    public void setTorpedo(String torpedo) {
        this.torpedo = torpedo;
    }

    public int getMiss() {
        return miss;
    }

    public void setMiss(int miss) {
        this.miss = miss;
    }

    public int getHit() {
        return hit;
    }

    public void setHit(int hit) {
        this.hit = hit;
    }

    public int getCapacity() {
        return capacity;
    }

    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }

    public String getAntisub() {
        return antisub;
    }

    public void setAntisub(String antisub) {
        this.antisub = antisub;
    }

    public int getSpeed() {
        return speed;
    }

    public void setSpeed(int speed) {
        this.speed = speed;
    }

    public int getRadar() {
        return radar;
    }

    public void setRadar(int radar) {
        this.radar = radar;
    }

    public int getRange() {
        return range;
    }

    public void setRange(int range) {
        this.range = range;
    }

    public int getLuck() {
        return luck;
    }

    public void setLuck(int luck) {
        this.luck = luck;
    }

    public DismantleBean getDismantle() {
        return dismantle;
    }

    public void setDismantle(DismantleBean dismantle) {
        this.dismantle = dismantle;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public int getRelease() {
        return release;
    }

    public void setRelease(int release) {
        this.release = release;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getVow() {
        return vow;
    }

    public void setVow(String vow) {
        this.vow = vow;
    }

    public int getNpc() {
        return npc;
    }

    public void setNpc(int npc) {
        this.npc = npc;
    }

    public String getShipIndex() {
        return shipIndex;
    }

    public void setShipIndex(String shipIndex) {
        this.shipIndex = shipIndex;
    }

    public int getShipTon() {
        return shipTon;
    }

    public void setShipTon(int shipTon) {
        this.shipTon = shipTon;
    }

    public int getGuardType() {
        return guardType;
    }

    public void setGuardType(int guardType) {
        this.guardType = guardType;
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }

    public String getTitleClass() {
        return titleClass;
    }

    public void setTitleClass(String titleClass) {
        this.titleClass = titleClass;
    }

    public String getSubTitleClass() {
        return subTitleClass;
    }

    public void setSubTitleClass(String subTitleClass) {
        this.subTitleClass = subTitleClass;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getSubClassNo() {
        return subClassNo;
    }

    public void setSubClassNo(String subClassNo) {
        this.subClassNo = subClassNo;
    }

    public String getPicId() {
        return picId;
    }

    public void setPicId(String picId) {
        this.picId = picId;
    }

    public int getHpMax() {
        return hpMax;
    }

    public void setHpMax(int hpMax) {
        this.hpMax = hpMax;
    }

    public int getAtkMax() {
        return atkMax;
    }

    public void setAtkMax(int atkMax) {
        this.atkMax = atkMax;
    }

    public int getDefMax() {
        return defMax;
    }

    public void setDefMax(int defMax) {
        this.defMax = defMax;
    }

    public String getTorpedoMax() {
        return torpedoMax;
    }

    public void setTorpedoMax(String torpedoMax) {
        this.torpedoMax = torpedoMax;
    }

    public int getMissMax() {
        return missMax;
    }

    public void setMissMax(int missMax) {
        this.missMax = missMax;
    }

    public int getHitMax() {
        return hitMax;
    }

    public void setHitMax(int hitMax) {
        this.hitMax = hitMax;
    }

    public int getAirDef() {
        return airDef;
    }

    public void setAirDef(int airDef) {
        this.airDef = airDef;
    }

    public int getAirDefMax() {
        return airDefMax;
    }

    public void setAirDefMax(int airDefMax) {
        this.airDefMax = airDefMax;
    }

    public String getMissileSlot() {
        return missileSlot;
    }

    public void setMissileSlot(String missileSlot) {
        this.missileSlot = missileSlot;
    }

    public String getMissileInit() {
        return missileInit;
    }

    public void setMissileInit(String missileInit) {
        this.missileInit = missileInit;
    }

    public String getAntisubMax() {
        return antisubMax;
    }

    public void setAntisubMax(String antisubMax) {
        this.antisubMax = antisubMax;
    }

    public int getRadarMax() {
        return radarMax;
    }

    public void setRadarMax(int radarMax) {
        this.radarMax = radarMax;
    }

    public int getLuckMax() {
        return luckMax;
    }

    public void setLuckMax(int luckMax) {
        this.luckMax = luckMax;
    }

    public int getEvoLevel() {
        return evoLevel;
    }

    public void setEvoLevel(int evoLevel) {
        this.evoLevel = evoLevel;
    }

    public int getEvoCid() {
        return evoCid;
    }

    public void setEvoCid(int evoCid) {
        this.evoCid = evoCid;
    }

    public int getEvoNeedItemCid() {
        return evoNeedItemCid;
    }

    public void setEvoNeedItemCid(int evoNeedItemCid) {
        this.evoNeedItemCid = evoNeedItemCid;
    }

    public int getEvoToCid() {
        return evoToCid;
    }

    public void setEvoToCid(int evoToCid) {
        this.evoToCid = evoToCid;
    }

    public EvoNeedResourceBean getEvoNeedResource() {
        return evoNeedResource;
    }

    public void setEvoNeedResource(EvoNeedResourceBean evoNeedResource) {
        this.evoNeedResource = evoNeedResource;
    }

    public int getHaveSkin() {
        return haveSkin;
    }

    public void setHaveSkin(int haveSkin) {
        this.haveSkin = haveSkin;
    }

    public String getBorderId() {
        return borderId;
    }

    public void setBorderId(String borderId) {
        this.borderId = borderId;
    }

    public String getSkillType() {
        return skillType;
    }

    public void setSkillType(String skillType) {
        this.skillType = skillType;
    }

    public String getInitSkillLevel() {
        return initSkillLevel;
    }

    public void setInitSkillLevel(String initSkillLevel) {
        this.initSkillLevel = initSkillLevel;
    }

    public int getMaxSkillLevel() {
        return maxSkillLevel;
    }

    public void setMaxSkillLevel(int maxSkillLevel) {
        this.maxSkillLevel = maxSkillLevel;
    }

    public int getCanEvo() {
        return canEvo;
    }

    public void setCanEvo(int canEvo) {
        this.canEvo = canEvo;
    }

    public int getEquipmentNum() {
        return equipmentNum;
    }

    public void setEquipmentNum(int equipmentNum) {
        this.equipmentNum = equipmentNum;
    }

    public int getMaxLevel() {
        return maxLevel;
    }

    public void setMaxLevel(int maxLevel) {
        this.maxLevel = maxLevel;
    }

    public int getMaxOil() {
        return maxOil;
    }

    public void setMaxOil(int maxOil) {
        this.maxOil = maxOil;
    }

    public int getMaxAmmo() {
        return maxAmmo;
    }

    public void setMaxAmmo(int maxAmmo) {
        this.maxAmmo = maxAmmo;
    }

    public double getRepairOilModulus() {
        return repairOilModulus;
    }

    public void setRepairOilModulus(double repairOilModulus) {
        this.repairOilModulus = repairOilModulus;
    }

    public double getRepairSteelModulus() {
        return repairSteelModulus;
    }

    public void setRepairSteelModulus(double repairSteelModulus) {
        this.repairSteelModulus = repairSteelModulus;
    }

    public double getRepairTime() {
        return repairTime;
    }

    public void setRepairTime(double repairTime) {
        this.repairTime = repairTime;
    }

    public StrengthenTopBean getStrengthenTop() {
        return strengthenTop;
    }

    public void setStrengthenTop(StrengthenTopBean strengthenTop) {
        this.strengthenTop = strengthenTop;
    }

    public StrengthenSupplyExpBean getStrengthenSupplyExp() {
        return strengthenSupplyExp;
    }

    public void setStrengthenSupplyExp(StrengthenSupplyExpBean strengthenSupplyExp) {
        this.strengthenSupplyExp = strengthenSupplyExp;
    }

    public int getStrengthenLevelUpExp() {
        return strengthenLevelUpExp;
    }

    public void setStrengthenLevelUpExp(int strengthenLevelUpExp) {
        this.strengthenLevelUpExp = strengthenLevelUpExp;
    }

    public String getEvoClass() {
        return evoClass;
    }

    public void setEvoClass(String evoClass) {
        this.evoClass = evoClass;
    }

    public String getMedalDesc() {
        return medalDesc;
    }

    public void setMedalDesc(String medalDesc) {
        this.medalDesc = medalDesc;
    }

    public String getCustomField() {
        return customField;
    }

    public void setCustomField(String customField) {
        this.customField = customField;
    }

    public String getGetDialogue() {
        return getDialogue;
    }

    public void setGetDialogue(String getDialogue) {
        this.getDialogue = getDialogue;
    }

    public String getAtkDialogue() {
        return atkDialogue;
    }

    public void setAtkDialogue(String atkDialogue) {
        this.atkDialogue = atkDialogue;
    }

    public String getSinkDialogue() {
        return sinkDialogue;
    }

    public void setSinkDialogue(String sinkDialogue) {
        this.sinkDialogue = sinkDialogue;
    }

    public String getBreakDialogue() {
        return breakDialogue;
    }

    public void setBreakDialogue(String breakDialogue) {
        this.breakDialogue = breakDialogue;
    }

    public String getFormationDialogue() {
        return formationDialogue;
    }

    public void setFormationDialogue(String formationDialogue) {
        this.formationDialogue = formationDialogue;
    }

    public String getMarryMainDialogue() {
        return marryMainDialogue;
    }

    public void setMarryMainDialogue(String marryMainDialogue) {
        this.marryMainDialogue = marryMainDialogue;
    }

    public String getNightAtkDialogue() {
        return nightAtkDialogue;
    }

    public void setNightAtkDialogue(String nightAtkDialogue) {
        this.nightAtkDialogue = nightAtkDialogue;
    }

    public String getMyRoomDialogue() {
        return myRoomDialogue;
    }

    public void setMyRoomDialogue(String myRoomDialogue) {
        this.myRoomDialogue = myRoomDialogue;
    }

    public String getFriendRoomDialogue() {
        return friendRoomDialogue;
    }

    public void setFriendRoomDialogue(String friendRoomDialogue) {
        this.friendRoomDialogue = friendRoomDialogue;
    }

    public String getPlaneImgType() {
        return planeImgType;
    }

    public void setPlaneImgType(String planeImgType) {
        this.planeImgType = planeImgType;
    }

    public String getPlaneImgType2() {
        return planeImgType2;
    }

    public void setPlaneImgType2(String planeImgType2) {
        this.planeImgType2 = planeImgType2;
    }

    public String getGunType() {
        return gunType;
    }

    public void setGunType(String gunType) {
        this.gunType = gunType;
    }

    public String getTeamShip() {
        return teamShip;
    }

    public void setTeamShip(String teamShip) {
        this.teamShip = teamShip;
    }

    public List<?> getSkills() {
        return skills;
    }

    public void setSkills(List<?> skills) {
        this.skills = skills;
    }

    public List<Integer> getEquipment() {
        return equipment;
    }

    public void setEquipment(List<Integer> equipment) {
        this.equipment = equipment;
    }

    public List<String> getMainDialogue() {
        return mainDialogue;
    }

    public void setMainDialogue(List<String> mainDialogue) {
        this.mainDialogue = mainDialogue;
    }

    public List<?> getCapacitySlot() {
        return capacitySlot;
    }

    public void setCapacitySlot(List<?> capacitySlot) {
        this.capacitySlot = capacitySlot;
    }

    public List<Integer> getCapacityInit() {
        return capacityInit;
    }

    public void setCapacityInit(List<Integer> capacityInit) {
        this.capacityInit = capacityInit;
    }

    public List<Integer> getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(List<Integer> equipmentType) {
        this.equipmentType = equipmentType;
    }

    public List<Integer> getShowAttribute() {
        return showAttribute;
    }

    public void setShowAttribute(List<Integer> showAttribute) {
        this.showAttribute = showAttribute;
    }

    public List<Integer> getKitchenPosition() {
        return kitchenPosition;
    }

    public void setKitchenPosition(List<Integer> kitchenPosition) {
        this.kitchenPosition = kitchenPosition;
    }

    public static class DismantleBean {
        /**
         * 2 : 40
         * 3 : 50
         * 4 : 40
         * 9 : 0
         */

        @JSONField(name = "2")
        private int _$2;
        @JSONField(name = "3")
        private int _$3;
        @JSONField(name = "4")
        private int _$4;
        @JSONField(name = "9")
        private int _$9;

        public int get_$2() {
            return _$2;
        }

        public void set_$2(int _$2) {
            this._$2 = _$2;
        }

        public int get_$3() {
            return _$3;
        }

        public void set_$3(int _$3) {
            this._$3 = _$3;
        }

        public int get_$4() {
            return _$4;
        }

        public void set_$4(int _$4) {
            this._$4 = _$4;
        }

        public int get_$9() {
            return _$9;
        }

        public void set_$9(int _$9) {
            this._$9 = _$9;
        }
    }

    public static class EvoNeedResourceBean {
        /**
         * 4 : 200
         * 10241 : 20
         */

        @JSONField(name = "4")
        private int _$4;
        @JSONField(name = "10241")
        private int _$10241;

        public int get_$4() {
            return _$4;
        }

        public void set_$4(int _$4) {
            this._$4 = _$4;
        }

        public int get_$10241() {
            return _$10241;
        }

        public void set_$10241(int _$10241) {
            this._$10241 = _$10241;
        }
    }

    public static class StrengthenTopBean {
        /**
         * atk : 625
         * torpedo : 0
         * air_def : 750
         * def : 375
         */

        private int atk;
        private int torpedo;
        private int air_def;
        private int def;

        public int getAtk() {
            return atk;
        }

        public void setAtk(int atk) {
            this.atk = atk;
        }

        public int getTorpedo() {
            return torpedo;
        }

        public void setTorpedo(int torpedo) {
            this.torpedo = torpedo;
        }

        public int getAir_def() {
            return air_def;
        }

        public void setAir_def(int air_def) {
            this.air_def = air_def;
        }

        public int getDef() {
            return def;
        }

        public void setDef(int def) {
            this.def = def;
        }
    }

    public static class StrengthenSupplyExpBean {
        /**
         * atk : 73
         * torpedo : 0
         * air_def : 24
         * def : 65
         */

        private int atk;
        private int torpedo;
        private int air_def;
        private int def;

        public int getAtk() {
            return atk;
        }

        public void setAtk(int atk) {
            this.atk = atk;
        }

        public int getTorpedo() {
            return torpedo;
        }

        public void setTorpedo(int torpedo) {
            this.torpedo = torpedo;
        }

        public int getAir_def() {
            return air_def;
        }

        public void setAir_def(int air_def) {
            this.air_def = air_def;
        }

        public int getDef() {
            return def;
        }

        public void setDef(int def) {
            this.def = def;
        }
    }
}
